# Administration Reference

## bos exec

Purpose

Executes a command on a remote server machine

Synopsis

    bos exec -server <machine name>  -cmd <command to execute>
             [-cell <cell name>]  [-noauth]  [-localauth]  [-help]

    bos e -s <machine name>  -cm <command to execute>  [-ce <cell name>]
          [-n]  [-l]  [-h]

Description

The bos exec command executes the indicated command on the file server machine named by the -server argument. Its intended use is to reboot the machine, using the /etc/reboot command or equivalent.

Options

-server
  Indicates the server machine on which to execute the command. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

-cmd
  Specifies the complete local disk pathname of the command to execute (for example, /etc/reboot). Surround this argument with double quotes ("") if the command contains one or more spaces.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command reboots the machine fs2.abc.com. The issuer has previously issued the bos shutdown command to shutdown all processes cleanly.

       % bos exec -server fs2.abc.com -cmd /sbin/shutdown -r now

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

bos

© IBM Corporation 2000. All Rights Reserved